------------------------------------------------------------------------------------
--Name:			191227[简体征服][任务脚本]忍者觉醒版本-忍者觉醒剧情任务
--Creator:		兰瑞妹
--Created:		2020/01/02
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>36
-- /chgmap 10770 64 70
-- 1.地图为鬼之岛
-- 2.玩家跪在屏幕左侧（220），变身后的Fumotaro站在屏幕右侧
-- 3.玩家站起来，播放开八门动作，身上播放死门光效，并屏幕震动2秒
-- 4.震动光效完成后，玩家冲向Fumotaro

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(64, 70)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "Name", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "Newbie", 4003000001)

hero:SetPos(71, 63)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
hero:SetDir(1)
-- hero:SetCtrlMapView(1)

local player0 = CppScriptMgr:AddSimplePlayer(1058385, 57, 75, "Fumotaro", 4003000070,1)
player0:SetArmor(194905,0,1)
player0:SetRWeapon(0, 0, 1)
player0:SetLWeapon(0, 0, 1)
player0:SetHair(20, 1)
player0:SetBattleLev(450)
player0:SetDir(5)
local player1 = CppScriptMgr:AddSimplePlayer(1053841, 65, 64, "Maki", 4003000071,1)
local player2 = CppScriptMgr:AddSimplePlayer(1053851, 64, 68, "Gara", 4003000072,1)
local player3 = CppScriptMgr:AddSimplePlayer(1053861, 68, 72, "Raik", 4003000073,1)
local player4 = CppScriptMgr:AddSimplePlayer(23641, 60, 64, "Onogi", 4003000074,1)
local player5 = CppScriptMgr:AddSimplePlayer(1053871, 69, 68, "Terumi", 4003000075,1)

CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:NpcCallOut("    Finally!\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumotaro", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- CppScriptMgr:NpcCallOut("    You are expecting me?\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("    You are expecting me?", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    Of course! I`m thrilled with the thoughts of killing you!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumotaro", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    Cut the crap. Enjoy your death!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc194", 150, 430, "Maki", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    Let me show you what is the real power!\nGate of Shock, open!\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumotaro", 250, 655)
CppScriptMgr:WaitMilSec(2000)

player1:JumpTo(58,73)
player2:JumpTo(58,73)
player3:JumpTo(58,73)
player4:JumpTo(58,73)
player5:JumpTo(58,73)
CppScriptMgr:WaitMilSec(200)
player0:SetAction(160)
CppScriptMgr:WaitMilSec(600)
effectObj1 = CppScriptMgr:AddEffect("BlueChufa",57, 75)
effectObj2 = CppScriptMgr:AddEffect("SLTZ_Strike",57, 75)
player1:SetHide(1)
player2:SetHide(1)
player3:SetHide(1)
player4:SetHide(1)
player5:SetHide(1)
CppScriptMgr:WaitMilSec(500)
player1:JumpTo(65,64)
player2:JumpTo(64,68)
player3:JumpTo(68,72)
player4:JumpTo(60,64)
player5:JumpTo(69,68)
CppScriptMgr:WaitMilSec(500)
player1:SetDir(1)
player2:SetDir(1)
player3:SetDir(1)
player4:SetDir(1)
player5:SetDir(1)
CppScriptMgr:WaitMilSec(300)
player1:SetHide(0)
player2:SetHide(0)
player3:SetHide(0)
player4:SetHide(0)
player5:SetHide(0)
CppScriptMgr:WaitMilSec(1500)

-- CppScriptMgr:NpcCallOut("    !!!!\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("!!!!", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    How did you learn the Eight Gates without the help of those toads?\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc204", 150, 430, "Onogi", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    It won't hurt to tell you.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumotaro", 250, 655)
CppScriptMgr:WaitMilSec(1000)
effectObj2 = CppScriptMgr:AddEffect("slowliquid",57, 75)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("    I have transformed myself into painless stone body!\nWith this body, it`s not a problem to stand the backfire of the Eight Gates.\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumotaro", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    Monster.\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc194", 150, 430, "Maki", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    A monster and a death knell for Ninjas!\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumotaro", 250, 655)
CppScriptMgr:WaitMilSec(2000)